# Clazz (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.property

## Class Clazz

- java.lang.Object
- - net.fortuna.ical4j.vcard.Property
  - - net.fortuna.ical4j.vcard.property.Clazz

All Implemented Interfaces:
  Serializable

    public final class Clazz
    extends Property

CLAZZ property. $Id$ Created on 23/10/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Property

`Property.Id`

### Field Summary

Fields
`static Clazz` `CONFIDENTIAL` Standard classification.
`static PropertyFactory<Clazz>` `FACTORY`
`static Clazz` `PRIVATE` Standard classification.
`static Clazz` `PUBLIC` Standard classification.

### Fields inherited from class net.fortuna.ical4j.vcard.Property

`ILLEGAL_PARAMETER_MESSAGE`

### Constructor Summary

Constructors
Constructor and Description
`Clazz(List<Parameter> params, String value)` Factory constructor.
`Clazz(String value)`

### Method Summary

Methods
`String` `getValue()`
`void` `validate()`

### Methods inherited from class net.fortuna.ical4j.vcard.Property

`assertOneOrLess, assertParametersEmpty, assertPidParameter, assertPrefParameter, assertTextParameter, assertTypeParameter, equals, getExtendedParameter, getExtendedParameters, getGroup, getId, getParameter, getParameters, getParameters, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PUBLIC

    public static final Clazz PUBLIC

Standard classification.

#### PRIVATE

    public static final Clazz PRIVATE

Standard classification.

#### CONFIDENTIAL

    public static final Clazz CONFIDENTIAL

Standard classification.

#### FACTORY

    public static final PropertyFactory<Clazz> FACTORY

### Constructor Detail

#### Clazz

    public Clazz(String value)

Parameters:
  `value` - a classification value

#### Clazz

    public Clazz(List<Parameter> params,
         String value)

Factory constructor.

Parameters:
  `params` - property parameters
  `value` - string representation of a property value

### Method Detail

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Property`
Returns:
  a string representaion of the property propertyName

#### validate

    public void validate()
                  throws net.fortuna.ical4j.model.ValidationException

Specified by:
  `validate` in class `Property`
Throws:
  `net.fortuna.ical4j.model.ValidationException` - where the property fails validation rules